AM263Px MCU+ SDK: Cpsw_Cfg Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
Cpsw_Cfg Struct Reference
APIs for Networking modules » APIs for Enet LLD » Enet Peripherals » CPSW Peripheral

## Detailed Description

CPSW configuration.

Configuration information for the CPSW driver.

## Data Fields
uint32_t | escalatePriorityLoadVal
const EnetDma_Cfg * | dmaCfg
Cpsw_VlanCfg | vlanCfg
uint32_t | txMtu [ENET_PRI_NUM]
CpswHostPort_Cfg | hostPortCfg
CpswAle_Cfg | aleCfg
CpswCpts_Cfg | cptsCfg
Mdio_Cfg | mdioCfg
EnetRm_ResCfg | resCfg
uint32_t | intrPriority
Cpsw_MdioLinkStateChangeCb | mdioLinkStateChangeCb
void * | mdioLinkStateChangeCbArg
Cpsw_PortLinkStatusChangeCb | portLinkStatusChangeCb
void * | portLinkStatusChangeCbArg
bool | enableQsgmii0RDC
bool | enableQsgmii1RDC
bool | disablePhyDriver

## Field Documentation

## ◆ escalatePriorityLoadVal

uint32_t Cpsw_Cfg::escalatePriorityLoadVal

Escalate priority load value

## ◆ dmaCfg

const EnetDma_Cfg* Cpsw_Cfg::dmaCfg

Configuration of the CPSW DMA

## ◆ vlanCfg

Cpsw_VlanCfg Cpsw_Cfg::vlanCfg

VLAN configuration (inner/outer VLAN ltype, customer/service switch)

## ◆ txMtu

uint32_t Cpsw_Cfg::txMtu[ENET_PRI_NUM]

Max packet length transmitted on egress. Packets that are larger than this length will be dropped. This length excludes VLAN addition or removal

## ◆ hostPortCfg

CpswHostPort_Cfg Cpsw_Cfg::hostPortCfg

Configuration of the host (CPPI) port

## ◆ aleCfg

CpswAle_Cfg Cpsw_Cfg::aleCfg

Configure of the ALE module

## ◆ cptsCfg

CpswCpts_Cfg Cpsw_Cfg::cptsCfg

Configure of the CPTS module

## ◆ mdioCfg

Mdio_Cfg Cpsw_Cfg::mdioCfg

Configuration of the MDIO module

## ◆ resCfg

EnetRm_ResCfg Cpsw_Cfg::resCfg

Configuration of CPSW Resource Partition

## ◆ intrPriority

uint32_t Cpsw_Cfg::intrPriority

Interrupt priority

## ◆ mdioLinkStateChangeCb

Cpsw_MdioLinkStateChangeCb Cpsw_Cfg::mdioLinkStateChangeCb

MDIO Link state change callback function pointer

## ◆ mdioLinkStateChangeCbArg

void* Cpsw_Cfg::mdioLinkStateChangeCbArg

Application data to be passed to the MDIO link state change callback

## ◆ portLinkStatusChangeCb

Cpsw_PortLinkStatusChangeCb Cpsw_Cfg::portLinkStatusChangeCb

Port link status change callback function pointer. This callback is called when the port link is either fully functional or fully shutdown

## ◆ portLinkStatusChangeCbArg

void* Cpsw_Cfg::portLinkStatusChangeCbArg

Application data to be passed to the port link status change callback

## ◆ enableQsgmii0RDC

bool Cpsw_Cfg::enableQsgmii0RDC

QSGMII0 Running Disparity Check (RDCD) enable - disables the rx running disparity so that errors do not propagate across lanes. It can be used when debugging a multi-port link to disable the disparity to isolate the receive errors

## ◆ enableQsgmii1RDC

bool Cpsw_Cfg::enableQsgmii1RDC

QSGMII1 Running Disparity Check (RDCD) enable

## ◆ disablePhyDriver

bool Cpsw_Cfg::disablePhyDriver

Disable Enet LLD PHY driver - Disables use on PHY driver inside the Enet LLD. All PHY functionality including PHY state machine is bypassed Application will use this mode if ethernet PHY is managed outside the Enet LLD Application is responsible for PHY management. Application can register with Enet LLD to get mdioLinkStateChangeCb callback. Application must use Enet LLD IOCTLs to access MDIO as MDIO ownership is still with Enet LLD and there should not be multiple masters for the MDIO peripheral